Region.ExpirationAction (Apache Geode 1.15.4)

org.apache.geode.management.configuration

## Enum Region.ExpirationAction

- java.lang.Object
- - java.lang.Enum<Region.ExpirationAction>
  - - org.apache.geode.management.configuration.Region.ExpirationAction

- All Implemented Interfaces:
    Serializable, Comparable<Region.ExpirationAction>
  Enclosing class:
    Region

      public static enum Region.ExpirationAction
      extends Enum<Region.ExpirationAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESTROY`
    `INVALIDATE`
    `LEGACY` for those other actions that could exist in cache.xml but not supported by management api for example: LOCAL_DESTROY, LOCAL_INVALIDATE, eventually these should be removed from the product as well.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Region.ExpirationAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Region.ExpirationAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DESTROY

          public static final Region.ExpirationAction DESTROY

    - #### INVALIDATE

          public static final Region.ExpirationAction INVALIDATE

    - #### LEGACY

          public static final Region.ExpirationAction LEGACY

      for those other actions that could exist in cache.xml but not supported by management api for example: LOCAL_DESTROY, LOCAL_INVALIDATE, eventually these should be removed from the product as well.

  - ### Method Detail

    - #### values

          public static Region.ExpirationAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Region.ExpirationAction c : Region.ExpirationAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Region.ExpirationAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null